gnutls_ocsp_resp_get_responder_raw_id(3)

NAME
gnutls_ocsp_resp_get_responder_raw_id - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_responder_raw_id(gnutls_ocsp_resp_const_t resp, unsigned type, gnutls_datum_t * raw);

ARGUMENTS

gnutls_ocsp_resp_const_t resp
    should contain a gnutls_ocsp_resp_t type

unsigned type
    should be GNUTLS_OCSP_RESP_ID_KEY or GNUTLS_OCSP_RESP_ID_DN

gnutls_datum_t * raw
    newly allocated buffer with the raw ID

DESCRIPTION
This function will extract the raw key (or DN) ID of the Basic OCSP Response in the provided buffer. If the responder ID is not a key ID then this function will return GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE. The caller needs to deallocate memory by calling gnutls_free() on
 dn ->data.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/